/**
 * Common styles for this theme
 */
/* -----------------------------------------------------------------------------
 * 
 * woocommerce/product-image Block
 * 
 * -------------------------------------------------------------------------- */
.wp-block-woocommerce-product-image {
  --gtm-fse: 1;
}

.wc-block-components-product-image a {
  display: block;
  overflow: hidden;
  border-radius: var(--wp--custom--gutenmate--image-radius);
}
.wc-block-components-product-image a:hover img {
  -webkit-transform: scale(1.05);
          transform: scale(1.05);
}
.wc-block-components-product-image .wc-block-components-product-sale-badge {
  border: none !important;
  border-radius: var(--wp--custom--radius--md);
  background: var(--wp--preset--color--sale);
  color: var(--wp--preset--color--primary-text-alt);
  font-size: var(--wp--preset--font-size--2-xs);
  padding: var(--wp--preset--spacing--2-xs) var(--wp--preset--spacing--xs);
}
.wc-block-components-product-image img {
  -webkit-transition: var(--gtm-transition);
  transition: var(--gtm-transition);
  -webkit-transition-property: var(--gtm-global--transition-property);
  transition-property: var(--gtm-global--transition-property);
  will-change: var(--gtm-global--transition-property);
}